    The XSPEC bkn2pow model: broken power law with two breaks.

xsbkn2pow
The xsbkn2pow model is an additive model component.

The model is described at [1] .

>>> create_model_component("xsbkn2pow", "mdl")
>>> print(mdl)

Create a component of the xsbkn2pow model and display its default parameters. The output is:

mdl Param Type Value Min Max Units ----- ---- ----- --- --- ----- mdl.PhoIndx1 thawed 1 -3 10 mdl.BreakE1 thawed 5 0 1e+06 keV mdl.PhoIndx2 thawed 2 -3 10 mdl.BreakE2 thawed 10 0 1e+06 keV mdl.PhoIndx3 thawed 3 -3 10 mdl.norm thawed 1 0 1e+24

ATTRIBUTES

The attributes for this object are:

Attribute
Definition
PhoIndx1
The power law photon index for energies less than BreakE1.
BreakE1
The first break energy, in keV.
PhoIndx2
The power law photon index for energies greater than BreakE1 but less than BreakE2.
BreakE2
The second break energy, in keV.
PhoIndx3
The power law photon index for energies greater than BreakE2.
norm
The normalization of the model. See [1] for details, as its meaning depends on whether the "POW_EMIN" or "POW_EMAX" keywords have been set with set_xsxset .

References

[1] https://heasarc.gsfc.nasa.gov/xanadu/xspec/manual/XSmodelBkn2pow.html

XSPEC version

CIAO 4.16 comes with support for version 12.13.1e of the XSPEC models. This can be checked with the following:

% python -c 'from sherpa.astro import xspec; print(xspec.get_xsversion())'12.13.1e

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023